Package com.github.lgooddatepicker.durationpicker_underconstruction

## Class DurationConverterSettings

- java.lang.Object
- - com.github.lgooddatepicker.durationpicker_underconstruction.DurationConverterSettings

    public class DurationConverterSettings
    extends java.lang.Object

### Field Summary

Fields
`boolean` `hoursCanUseThirtyMinuteDecimals`
`int` `hoursMaximumValueForDecimalsInSeconds`
`DurationUnit` `largestUsedUnit`
`java.util.HashMap<DurationUnit,​java.lang.Boolean>` `pluralUnitsMap`
`DurationUnit` `smallestUsedUnit`
`java.util.HashMap<DurationUnit,​java.util.ArrayList<java.lang.String>>` `translationsParsingPrefixes`
`java.util.HashMap<DurationUnit,​java.lang.String>` `translationsUnitsPlural`
`java.util.HashMap<DurationUnit,​java.lang.String>` `translationsUnitsSingular`

### Constructor Summary

Constructors
`DurationConverterSettings()`
`DurationConverterSettings​(java.util.Locale locale)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.HashMap<DurationUnit,​java.lang.Boolean>` `getSimplePluralUnitsMap​(boolean settingForAllUnits)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### smallestUsedUnit

    public DurationUnit smallestUsedUnit

#### largestUsedUnit

    public DurationUnit largestUsedUnit

#### pluralUnitsMap

    public java.util.HashMap<DurationUnit,​java.lang.Boolean> pluralUnitsMap

#### hoursCanUseThirtyMinuteDecimals

    public boolean hoursCanUseThirtyMinuteDecimals

#### hoursMaximumValueForDecimalsInSeconds

    public int hoursMaximumValueForDecimalsInSeconds

#### translationsUnitsSingular

    public java.util.HashMap<DurationUnit,​java.lang.String> translationsUnitsSingular

#### translationsUnitsPlural

    public java.util.HashMap<DurationUnit,​java.lang.String> translationsUnitsPlural

#### translationsParsingPrefixes

    public java.util.HashMap<DurationUnit,​java.util.ArrayList<java.lang.String>> translationsParsingPrefixes

### Constructor Detail

#### DurationConverterSettings

    public DurationConverterSettings()

#### DurationConverterSettings

    public DurationConverterSettings​(java.util.Locale locale)

### Method Detail

#### getSimplePluralUnitsMap

    public java.util.HashMap<DurationUnit,​java.lang.Boolean> getSimplePluralUnitsMap​(boolean settingForAllUnits)